Bug 55067 - Installer kernel won't boot on P60: machine check exception
Installer kernel won't boot on P60: machine check exception
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.2
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-24 22:59 EDT by ckulesa
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-25 06:32:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ckulesa 2001-10-24 22:59:22 EDT
Description of Problem:
AST Bravo 8060P (Pentium 60) w/48MB will not boot the stock kernel
(2.4.7-BOOT) on the Redhat 7.2 boot.img image.  Redhat 7.1 installs and works fine.

How Reproducible:
Insert Redhat 7.2 CD, boot floppy w/boot.img, turn on machine to install Redhat 7.2.  

First, the usual kernel messages before init takes hold... then after:
"Pentium detected w/ F00F bug"
which is followed by repeated:
"CPU#0: Machine Check Exception 0x 10CDE0  (type 0x     9)."

Solution!!!  At the boot prompt: 'linux nomce' is the trick that
allows the system to boot and install 7.2 correctly. 

This could stand to be documented.  Is this a bug or a feature? 
I vote for the former, as this machine has worked flawlessly for years.  

Will test against the updated 2.4.9-RH kernel when the machine is ready.
Comment 1 Arjan van de Ven 2001-10-25 06:32:42 EDT
It's sort of both a bug and a feature. Recent kernels support the Intel Machine
Check Exception mechanism, a way for the CPU to let the OS know that it has
detected a (fatal) problem in itself or the chipset. In order for the cpu to
know if the chipset has a problem, the CPU has a pin which should be wired to
the chipset pin for this; unfortionatly a number of pentium motherboards have
this pin wired to the 5 Volts line ;(

For the next kernel Red Hat will release I'll disable the MCE on pentium class
machines so "nomce" is then no longer needed.
Comment 2 Arjan van de Ven 2001-11-03 12:51:02 EST
This should be fixed in the new errata kernels we released yesterday. Thanks for
the report!

Note You need to log in before you can comment on or make changes to this bug.